<?xml version="1.0" encoding="UTF-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/layout_bg"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/p_global_bg_color"
    android:orientation="vertical"
    android:paddingLeft="5dip"
    android:paddingTop="2dip"
    android:paddingRight="5dip"
    android:paddingBottom="2dip">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <!-- K线图 -->

        <com.desfate.chart.MACandleStickChart
            android:id="@+id/mtp_chart_k"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/mtp_target_show"
                android:layout_width="0dip"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginLeft="10dip"
                android:layout_marginRight="10dip"
                android:layout_weight="1"
                android:textColor="@color/p_normal_txt_color"
                android:textSize="12sp" />
        </LinearLayout>
        <!-- 指标 -->

        <com.desfate.chart.MinusStickChart
            android:id="@+id/mtp_chart_target"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="2" />

        <com.desfate.chart.MTPTabHost
            android:id="@+id/mtp_chart_k_tab"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"/>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/loading_view"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:background="@null"
        android:orientation="vertical"
        android:padding="15dip">

        <FrameLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical|center_horizontal"
            android:paddingLeft="12dip"
            android:paddingRight="12dip">

            <!--android:src="@mipmap/loading_a"-->
            <ImageView
                android:layout_width="30dp"
                android:layout_height="20dp"
                android:layout_gravity="center_vertical|center_horizontal"
                android:contentDescription="@null"
                android:scaleType="fitXY"
                android:visibility="gone" />

            <!--android:src="@mipmap/loading_b"-->
            <ImageView
                android:id="@+id/loading_view_circle"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_gravity="center_vertical|center_horizontal"
                android:contentDescription="@null"
                android:scaleType="fitXY" />
        </FrameLayout>

        <TextView
            android:id="@+id/loading_view_text"
            android:layout_width="80dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal|center_horizontal"
            android:layout_marginTop="8dip"
            android:gravity="center_horizontal"
            android:lines="1"
            android:text="@string/chart_data_load_ing"
            android:textColor="@color/p_normal_txt_color"
            android:textSize="13sp"
            android:visibility="gone" />
    </LinearLayout>

</FrameLayout>